Subject: Re: linux-next: build failure after merge of the vfs tree

From: Jan Kara <[email-masked]>
Date: Tue, 3 Jan 2012 14:39:42 +0100

Hi,

On Tue 03-01-12 12:43:31, Stephen Rothwell wrote:
> After merging the vfs tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> fs/super.c:230:13: error: static declaration of 'put_super' follows non-static declaration
> include/linux/fs.h:2493:13: note: previous declaration of 'put_super' was here
> 
> Caused by commit eab99e355c00 ("trim fs/internal.h") interacting with
> commit 4789fd4495a4 ("quota: Fix deadlock with suspend and quotas") from
> the ext3 tree.
> 
> I applied the following (probably not the best) merge fix patch for today:
  Thanks Stephen! Al, how shall we resolve this? You wrote you can provide
a VFS helper like get_super() which will also guarantee that the fs is
unfrozen.  That could be used in quotactl_block() and fsync_bdev(). If you
plan to do this for 3.3 then I can just remove the quota fix and let you
do it.

								Honza
-- 
Jan Kara <[email-masked]>
SUSE Labs, CR